Bug 439285 - Review Request: php-openid - The PHP OpenID Library
Review Request: php-openid - The PHP OpenID Library
Status: CLOSED DUPLICATE of bug 227190
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 439340
  Show dependency treegraph
 
Reported: 2008-03-27 17:23 EDT by Ian Weller
Modified: 2008-07-05 03:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-05 03:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-03-27 17:23:32 EDT
Request from Infrastructure team.

Spec URL: http://ianweller.fedorapeople.org/SRPMS/php-openid/2.0.1-1/php-openid.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/php-openid/2.0.1-1/php-openid-2.0.1-1.fc8.src.rpm
Description:
The PHP OpenID library lets you enable OpenID authentication on sites built
using PHP. It features the OpenID consumer, Store implementations, and an
OpenID server. Features of the 2.x.x series include:
 * Runs on a wide range of PHP versions: from 4.3.0 and up (tested on 5.2.4)
 * Licensed under the Apache Software License.
 * Includes extensive documentation, working example code, and a test suite
 * Attempts to use PHP extensions such as Curl, but does not depend on them
 * Includes extension modules for Attribute Exchange, Simple Registration, and
   PAPE
 * Supports i-names
 * Tested on Windows and Linux
 * Versions 2.x.x support both major OpenID protocol versions transparently
Comment 1 Orion Poplawski 2008-03-28 16:43:19 EDT
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (ASL 2.0) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
e8be2d48139b4faa45626661c329bdb2  php-openid-2.0.1.tar.bz2
e8be2d48139b4faa45626661c329bdb2  php-openid-2.0.1.tar.bz2.orig
- package compiles on devel (x86)
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Questions:

Why do you need to BR php-common?  It appears to build fine without it.
Comment 2 Ian Weller 2008-03-28 19:02:45 EDT
I realized this after I finished packaging... do I need to reupload the package
to fedorapeople so you can see just that one fix or can I integrate it into CVS
after you approve it? it does build just fine.
Comment 3 Ian Weller 2008-03-29 14:34:21 EDT
there were more issues that i found myself... version 2.0.1-2.
spec - http://ianweller.fedorapeople.org/SRPMS/php-openid/2.0.1-2/php-openid.spec
srpm -
http://ianweller.fedorapeople.org/SRPMS/php-openid/2.0.1-2/php-openid-2.0.1-2.fc8.src.rpm

* Sat Mar 29 2008 Ian Weller <ianweller@gmail.com> 2.0.1-2
- Removed unnecessary BuildRequires
- Added provides php-yadis, since it does
- Put everything under an Auth directory in datadir/php, because otherwise the
code wouldn't work

Also, another issue that has come up: if this package were to pass review, it
would supersede bug 227190 and bug 227191, two packages for OpenID and Yadis in
PHP. I've contacted the packager about this, and I've looked at the review
requests, and it seems like they shouldn't be provided under the php-pear name,
since I can't find OpenID in pear, and Yadis is out of date compared to URL0 for
this package.

orion: are you still willing to review this? i noticed you set fedora-review to
-. i don't usually see that, i usually see them leave it at ? when there's still
fixable issues...
Comment 4 Ian Weller 2008-03-29 15:10:45 EDT
Giving bug 227190 and bug 227191 some time. Please place review on hold.
Comment 5 Peter Lemenkov 2008-07-05 03:26:17 EDT

*** This bug has been marked as a duplicate of 227190 ***

Note You need to log in before you can comment on or make changes to this bug.